Actualizar panel
Actualiza un panel existente
PUT
/
api
/
v2
/
dashboards
/
{id}
Actualizar panel
curl --request PUT \
--url https://api.hyperdx.io/api/v2/dashboards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Dashboard Name",
"tags": [
"production",
"updated"
],
"tiles": [
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [],
"type": "time",
"where": "level:error"
}
],
"w": 6,
"x": 0,
"y": 0
},
{
"asRatio": false,
"h": 3,
"name": "New Number Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"type": "number",
"where": "level:info"
}
],
"w": 6,
"x": 6,
"y": 0
}
]
}
'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "Updated Dashboard Name",
"tags": [
"production",
"updated"
],
"tiles": [
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [],
"type": "time",
"where": "level:error"
}
],
"w": 6,
"x": 0,
"y": 0
},
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901236",
"name": "New Number Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"type": "number",
"where": "level:info"
}
],
"w": 6,
"x": 6,
"y": 0
}
]
}
}Autorizaciones
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parámetros de ruta
ID del panel
Cuerpo
application/json
Respuesta
Panel actualizado correctamente
Show child attributes
Show child attributes
Última modificación el 10 de junio de 2026
¿Esta página le ayudó?
⌘I
Actualizar panel
curl --request PUT \
--url https://api.hyperdx.io/api/v2/dashboards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Updated Dashboard Name",
"tags": [
"production",
"updated"
],
"tiles": [
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [],
"type": "time",
"where": "level:error"
}
],
"w": 6,
"x": 0,
"y": 0
},
{
"asRatio": false,
"h": 3,
"name": "New Number Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"type": "number",
"where": "level:info"
}
],
"w": 6,
"x": 6,
"y": 0
}
]
}
'{
"data": {
"id": "65f5e4a3b9e77c001a567890",
"name": "Updated Dashboard Name",
"tags": [
"production",
"updated"
],
"tiles": [
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901234",
"name": "Updated Time Series Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"groupBy": [],
"type": "time",
"where": "level:error"
}
],
"w": 6,
"x": 0,
"y": 0
},
{
"asRatio": false,
"h": 3,
"id": "65f5e4a3b9e77c001a901236",
"name": "New Number Chart",
"series": [
{
"aggFn": "count",
"dataSource": "events",
"type": "number",
"where": "level:info"
}
],
"w": 6,
"x": 6,
"y": 0
}
]
}
}